import Dexie from "dexie";
import { UserInfoItem } from "../service/api/getUserListInfo";
export declare const FriendsStatus: {
    stranger: number;
    friends: number;
    friendsForMe_strangerForYou: number;
    strangerForMe_friendsForYou: number;
};
export type IMember = {
    id: string;
    name?: string;
    auid?: string;
    bb_id?: string;
    isSetBBId?: number;
    avatar?: string | undefined;
    avatarPath?: string;
    isFriend?: number;
    friendAlias?: string;
    isStar?: number;
    phone?: string;
    signature?: string;
    gender?: number;
    viewDetail?: number;
    firstName?: string;
    lastName?: string;
    status?: number;
    regionId?: string;
};
type UpdateMemberProps = Partial<IMember>;
declare class Member {
    private db?;
    private userId?;
    private store?;
    static authorize: boolean;
    readonly Event: {
        MemberInfoChanged: string;
        MyInfoChange: string;
        MomentsToMember: string;
        MomentsToMemberView: string;
    };
    init(db: Dexie): void;
    getIdsByAuids(auids: string[]): Promise<string[] | undefined>;
    tempUpdate(info: IMember): void;
    filterExistByUid(uids: string[]): import("dexie").PromiseExtended<IMember[]> | undefined;
    getAll(): import("dexie").PromiseExtended<IMember[]> | undefined;
    getUnExistIdsByUid(uids: string[]): Promise<string[]>;
    bulkPutMemberInfo(member: IMember[]): import("dexie").PromiseExtended<void> | undefined;
    bulkPutMomentsToMemberInfo(members: IMember[]): import("dexie").PromiseExtended<void> | undefined;
    checkAvatarCache(id: string, avatar: string): Promise<void>;
    modifyMemberInfo(id: string, modifyInfos: IMember): Promise<void>;
    updateMemberInfo(id: string, updateInfo: UpdateMemberProps): Promise<void>;
    getMemberById(id: string, isSync?: boolean): Promise<any>;
    getMemberByIds(ids: string[]): Promise<IMember[]>;
    getAllMyFriends(): Promise<IMember[]>;
    queryByKeyWords(value: string, key: keyof IMember): Promise<IMember[]>;
    queryByName(value: string): Promise<IMember[]>;
    isStrangeRelation(user: IMember): boolean;
    isOfficialAccount(item: IMember): boolean;
    assetsSessionHide(item: IMember): boolean;
    noExistMember(member: any): boolean;
    handlePublish(members: IMember[]): void;
    addMemberInto(dataItem: UserInfoItem): void;
    friendInfoTransfer: (items: UserInfoItem) => IMember;
    getAllIds(): Promise<string[]>;
}
declare const model: Member;
export default model;
